Debian Bug report logs - #542975
pathfinder: FTBFS: iwvdbuslistener.h:13:24: error: wvcallback.h: No such file or directory

version graph

Package: pathfinder; Maintainer for pathfinder is Patrick Patterson <ppatters@debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Sat, 22 Aug 2009 16:00:49 UTC

Severity: serious

Tags: sid, squeeze

Found in version 0.2.4-4

Fixed in version pathfinder/1.1.3-0.1

Done: Hideki Yamane (Debian-JP) <henrich@debian.or.jp>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Patrick Patterson <ppatters@debian.org>:
Bug#542975; Package pathfinder. (Sat, 22 Aug 2009 16:00:53 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Patrick Patterson <ppatters@debian.org>. (Sat, 22 Aug 2009 16:00:53 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: pathfinder: FTBFS: iwvdbuslistener.h:13:24: error: wvcallback.h: No such file or directory
Date: Sat, 22 Aug 2009 17:50:00 +0200
Package: pathfinder
Version: 0.2.4-4
Severity: serious
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20090822 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> make[3]: Entering directory `/build/user-pathfinder_0.2.4-4-amd64-W3OiBd/pathfinder-0.2.4'
> [ 18%] Building CXX object dbus/CMakeFiles/wvdbus.dir/wvdbusconn.o
> In file included from /build/user-pathfinder_0.2.4-4-amd64-W3OiBd/pathfinder-0.2.4/dbus/wvdbusconn.h:16,
>                  from /build/user-pathfinder_0.2.4-4-amd64-W3OiBd/pathfinder-0.2.4/dbus/wvdbusconn.cc:12:
> /build/user-pathfinder_0.2.4-4-amd64-W3OiBd/pathfinder-0.2.4/dbus/iwvdbuslistener.h:13:24: error: wvcallback.h: No such file or directory
> make[3]: *** [dbus/CMakeFiles/wvdbus.dir/wvdbusconn.o] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2009/08/22/pathfinder_0.2.4-4_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Patrick Patterson <ppatters@debian.org>:
Bug#542975; Package pathfinder. (Tue, 06 Oct 2009 21:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Falavigna <dktrkranz@debian.org>:
Extra info received and forwarded to list. Copy sent to Patrick Patterson <ppatters@debian.org>. (Tue, 06 Oct 2009 21:51:06 GMT) Full text and rfc822 format available.

Message #10 received at 542975@bugs.debian.org (full text, mbox):

From: Luca Falavigna <dktrkranz@debian.org>
To: 542975@bugs.debian.org
Subject: Re: pathfinder: FTBFS
Date: Tue, 6 Oct 2009 23:35:57 +0200
[Message part 1 (text/plain, inline)]
Hi Patrick,

any news on this bug? If you want, I could eventually prepare a NMU,
please let me know, thanks!

-- 
  .''`.
 :  :' :   Luca Falavigna <dktrkranz@debian.org>
 `.  `'
   `-
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Patrick Patterson <ppatters@debian.org>:
Bug#542975; Package pathfinder. (Wed, 07 Oct 2009 14:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Patrick Patterson <ppatters@gmail.com>:
Extra info received and forwarded to list. Copy sent to Patrick Patterson <ppatters@debian.org>. (Wed, 07 Oct 2009 14:42:03 GMT) Full text and rfc822 format available.

Message #15 received at 542975@bugs.debian.org (full text, mbox):

From: Patrick Patterson <ppatters@gmail.com>
To: Luca Falavigna <dktrkranz@debian.org>, 542975@bugs.debian.org
Subject: Re: Bug#542975: pathfinder: FTBFS
Date: Wed, 7 Oct 2009 10:31:15 -0400
[Message part 1 (text/plain, inline)]
Hi Luca:

On Tue, Oct 6, 2009 at 5:35 PM, Luca Falavigna <dktrkranz@debian.org> wrote:

> Hi Patrick,
>
> any news on this bug? If you want, I could eventually prepare a NMU,
> please let me know, thanks!
>
> This has been resolved upstream (mostly since the latest version of
Pathfinder no longer has it's own DBus client implementation, but rather
uses the new WvDBus in WvStreams > 4.5.1.

However, we're now blocked on this, since WvStreams is orphaned, my keys are
out of the loop (they expired, and I don't have enough signatures on my new
one to get it back into the chain), and the WvStreams packaging needs to be
updated to include libwvdbus.

If you wanted to do an NMU on both WvStreams 4.6.1, and Pathfinder 1.1.2,
that would be very much appreciated.




> --
>  .''`.
>  :  :' :   Luca Falavigna <dktrkranz@debian.org>
>  `.  `'
>   `-
>



-- 
Personal Mail from Patrick Patterson
No company affiliation
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Patrick Patterson <ppatters@debian.org>:
Bug#542975; Package pathfinder. (Thu, 22 Oct 2009 04:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to Patrick Patterson <ppatters@debian.org>. (Thu, 22 Oct 2009 04:51:02 GMT) Full text and rfc822 format available.

Message #20 received at 542975@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: Patrick Patterson <ppatters@gmail.com>
Cc: Luca Falavigna <dktrkranz@debian.org>, 542975@bugs.debian.org
Subject: pathfinder and wvstreams update (Re: Bug#542975: pathfinder: FTBFS)
Date: Thu, 22 Oct 2009 13:29:42 +0900
Hi,

On Wed, 7 Oct 2009 10:31:15 -0400
Patrick Patterson <ppatters@gmail.com> wrote:
> Pathfinder no longer has it's own DBus client implementation, but rather
> uses the new WvDBus in WvStreams > 4.5.1.
> 
> However, we're now blocked on this, since WvStreams is orphaned, my keys are
> out of the loop (they expired, and I don't have enough signatures on my new
> one to get it back into the chain), and the WvStreams packaging needs to be
> updated to include libwvdbus.
> 
> If you wanted to do an NMU on both WvStreams 4.6.1, and Pathfinder 1.1.2,
> that would be very much appreciated.

 I've filed http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=551869 with wvstreams
 package and built pathfinder 1.1.2 as http://mentors.debian.net/debian/pool/main/p/pathfinder/pathfinder_1.1.2-0.1.dsc

 Could someone update those packages?

 FYI.

 

-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/iijmio-mail.jp
 http://wiki.debian.org/HidekiYamane




Information forwarded to debian-bugs-dist@lists.debian.org, Patrick Patterson <ppatters@debian.org>:
Bug#542975; Package pathfinder. (Sun, 08 Nov 2009 22:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to Patrick Patterson <ppatters@debian.org>. (Sun, 08 Nov 2009 22:21:03 GMT) Full text and rfc822 format available.

Message #25 received at 542975@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: Patrick Patterson <ppatters@gmail.com>
Cc: Luca Falavigna <dktrkranz@debian.org>, 542975@bugs.debian.org
Subject: Re: pathfinder and wvstreams update (Re: Bug#542975: pathfinder: FTBFS)
Date: Mon, 9 Nov 2009 06:48:32 +0900
[Message part 1 (text/plain, inline)]
Hi Patrick,

On Thu, 22 Oct 2009 13:29:42 +0900
Hideki Yamane <henrich@debian.or.jp> wrote:
> > Pathfinder no longer has it's own DBus client implementation, but rather
> > uses the new WvDBus in WvStreams > 4.5.1.
> > 
> > However, we're now blocked on this, since WvStreams is orphaned, my keys are
> > out of the loop (they expired, and I don't have enough signatures on my new
> > one to get it back into the chain), and the WvStreams packaging needs to be
> > updated to include libwvdbus.
> > 
> > If you wanted to do an NMU on both WvStreams 4.6.1, and Pathfinder 1.1.2,
> > that would be very much appreciated.

 Now WvStreams 4.6.1 is in unstable, thanks to Luca.

 If you would agree with NMU for pathfinder 1.1.2, I also do it with Luca's help.
 So, could you check http://mentors.debian.net/debian/pool/main/p/pathfinder/pathfinder_1.1.2-0.1.dsc
 and tell me about NMU is okay or not?


-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/iijmio-mail.jp
 http://wiki.debian.org/HidekiYamane
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#542975; Package pathfinder. (Fri, 15 Jan 2010 19:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Patrick Patterson <ppatters@debian.org>:
Extra info received and forwarded to list. (Fri, 15 Jan 2010 19:06:03 GMT) Full text and rfc822 format available.

Message #30 received at 542975@bugs.debian.org (full text, mbox):

From: Patrick Patterson <ppatters@debian.org>
To: Hideki Yamane <henrich@debian.or.jp>, 542975@bugs.debian.org
Subject: Re: Bug#542975: pathfinder and wvstreams update (Re: Bug#542975: pathfinder: FTBFS)
Date: Fri, 15 Jan 2010 14:01:44 -0500
[Message part 1 (text/plain, inline)]
Hello Hideki:

Just thought that I would let you know that we've just released a new
version of Pathfinder, and have updated the debian related information for
it as well to take care of several issues our testing here noticed.

So if you wanted to grab that from SVN on googlecode, and give Pathfinder an
NMU upload that would be great.

I'm hoping to put something together shortly that will get my keys back in
Debian, so that I can do all of this myself :)

Best Regards, and thanks again.

Patrick.

On Sun, Nov 8, 2009 at 4:48 PM, Hideki Yamane <henrich@debian.or.jp> wrote:

> Hi Patrick,
>
> On Thu, 22 Oct 2009 13:29:42 +0900
> Hideki Yamane <henrich@debian.or.jp> wrote:
> > > Pathfinder no longer has it's own DBus client implementation, but
> rather
> > > uses the new WvDBus in WvStreams > 4.5.1.
> > >
> > > However, we're now blocked on this, since WvStreams is orphaned, my
> keys are
> > > out of the loop (they expired, and I don't have enough signatures on my
> new
> > > one to get it back into the chain), and the WvStreams packaging needs
> to be
> > > updated to include libwvdbus.
> > >
> > > If you wanted to do an NMU on both WvStreams 4.6.1, and Pathfinder
> 1.1.2,
> > > that would be very much appreciated.
>
>  Now WvStreams 4.6.1 is in unstable, thanks to Luca.
>
>  If you would agree with NMU for pathfinder 1.1.2, I also do it with Luca's
> help.
>  So, could you check
> http://mentors.debian.net/debian/pool/main/p/pathfinder/pathfinder_1.1.2-0.1.dsc
>  and tell me about NMU is okay or not?
>
>
> --
> Regards,
>
>  Hideki Yamane     henrich @ debian.or.jp/iijmio-mail.jp
>  http://wiki.debian.org/HidekiYamane
>



-- 
Personal Mail from Patrick Patterson
No company affiliation
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Patrick Patterson <ppatters@debian.org>:
Bug#542975; Package pathfinder. (Tue, 19 Jan 2010 17:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to Patrick Patterson <ppatters@debian.org>. (Tue, 19 Jan 2010 17:48:02 GMT) Full text and rfc822 format available.

Message #35 received at 542975@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: Patrick Patterson <ppatters@debian.org>
Cc: 542975@bugs.debian.org, Luca Falavigna <dktrkranz@debian.org>, Steffen Joeris <steffen.joeris@skolelinux.de>
Subject: Re: Bug#542975: pathfinder and wvstreams update (Re: Bug#542975: pathfinder: FTBFS)
Date: Wed, 20 Jan 2010 02:47:06 +0900
Hi Patrick,

On Fri, 15 Jan 2010 14:01:44 -0500
Patrick Patterson <ppatters@debian.org> wrote:
> Just thought that I would let you know that we've just released a new
> version of Pathfinder, and have updated the debian related information for
> it as well to take care of several issues our testing here noticed.
> 
> So if you wanted to grab that from SVN on googlecode, and give Pathfinder an
> NMU upload that would be great.

 Thanks! Okay, I'll check svn and would do NMU for pathfinder package.


> I'm hoping to put something together shortly that will get my keys back in
> Debian, so that I can do all of this myself :)

 I hope you'll back to working on Debian again. So, please ask project 
 members how to do deal with your problem.


> Best Regards, and thanks again.
> 
> Patrick.
> 
> On Sun, Nov 8, 2009 at 4:48 PM, Hideki Yamane <henrich@debian.or.jp> wrote:
> 
> > Hi Patrick,
> >
> > On Thu, 22 Oct 2009 13:29:42 +0900
> > Hideki Yamane <henrich@debian.or.jp> wrote:
> > > > Pathfinder no longer has it's own DBus client implementation, but
> > rather
> > > > uses the new WvDBus in WvStreams > 4.5.1.
> > > >
> > > > However, we're now blocked on this, since WvStreams is orphaned, my
> > keys are
> > > > out of the loop (they expired, and I don't have enough signatures on my
> > new
> > > > one to get it back into the chain), and the WvStreams packaging needs
> > to be
> > > > updated to include libwvdbus.
> > > >
> > > > If you wanted to do an NMU on both WvStreams 4.6.1, and Pathfinder
> > 1.1.2,
> > > > that would be very much appreciated.
> >
> >  Now WvStreams 4.6.1 is in unstable, thanks to Luca.
> >
> >  If you would agree with NMU for pathfinder 1.1.2, I also do it with Luca's
> > help.
> >  So, could you check
> > http://mentors.debian.net/debian/pool/main/p/pathfinder/pathfinder_1.1.2-0.1.dsc
> >  and tell me about NMU is okay or not?
> >
> >
> > --
> > Regards,
> >
> >  Hideki Yamane     henrich @ debian.or.jp/iijmio-mail.jp
> >  http://wiki.debian.org/HidekiYamane
> >
> 
> 
> 
> -- 
> Personal Mail from Patrick Patterson
> No company affiliation


-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/iijmio-mail.jp
 http://wiki.debian.org/HidekiYamane




Information forwarded to debian-bugs-dist@lists.debian.org, Patrick Patterson <ppatters@debian.org>:
Bug#542975; Package pathfinder. (Wed, 20 Jan 2010 00:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to Patrick Patterson <ppatters@debian.org>. (Wed, 20 Jan 2010 00:18:03 GMT) Full text and rfc822 format available.

Message #40 received at 542975@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: Patrick Patterson <ppatters@debian.org>
Cc: 542975@bugs.debian.org
Subject: Re: Bug#542975: pathfinder and wvstreams update (Re: Bug#542975: pathfinder: FTBFS)
Date: Wed, 20 Jan 2010 09:12:18 +0900
[Message part 1 (text/plain, inline)]
Hi Patrick,

On Fri, 15 Jan 2010 14:01:44 -0500
Patrick Patterson <ppatters@debian.org> wrote:

 Also I want it as lintian clean but debian/copyright file cause warnings.
henrich@babytalk:~/src/pathfinder-related/pathfinder-1.1.3$ lintian ../pathfinder_1.1.3-0.1_i386.changes 
W: libpathfinder-openssl-1: copyright-refers-to-versionless-license-file usr/share/common-licenses/GPL
W: libpathfinder-dev: copyright-refers-to-versionless-license-file usr/share/common-licenses/GPL
W: pathfinderd: copyright-refers-to-versionless-license-file usr/share/common-licenses/GPL
W: libpathfinder-nss-1: copyright-refers-to-versionless-license-file usr/share/common-licenses/GPL
W: pathfinder-utils: copyright-refers-to-versionless-license-file usr/share/common-licenses/GPL

> The Debian packaging is (C) 2007, Patrick Patterson <ppatters@debian.org> and
> is licensed under the GPL, see `/usr/share/common-licenses/GPL'.
 
 It says merely GPL non-verioned. If you can determine its version 
 (2, 2 or later, 3, 3 or later), I'll change it.


-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/iijmio-mail.jp
 http://wiki.debian.org/HidekiYamane
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Patrick Patterson <ppatters@debian.org>:
Bug#542975; Package pathfinder. (Fri, 22 Jan 2010 02:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to Patrick Patterson <ppatters@debian.org>. (Fri, 22 Jan 2010 02:18:06 GMT) Full text and rfc822 format available.

Message #45 received at 542975@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: Patrick Patterson <ppatters@debian.org>, Steffen Joeris <steffen.joeris@skolelinux.de>
Cc: 542975@bugs.debian.org
Subject: Re: Bug#542975: pathfinder and wvstreams update (Re: Bug#542975: pathfinder: FTBFS)
Date: Fri, 22 Jan 2010 11:12:31 +0900
[Message part 1 (text/plain, inline)]
Hi Patrick,

 I made a diff for pathfinder (only debian directory).
 Could you review it, please?

 If both of you would find no problem with it, please upload to repository.
 http://mentors.debian.net/debian/pool/main/p/pathfinder/pathfinder_1.1.3-0.1.dsc
 > Steffen


diff -urN pathfinder-0.2.4/debian/changelog pathfinder-1.1.3/debian/changelog
--- pathfinder-0.2.4/debian/changelog	2010-01-21 07:36:04.000000000 +0900
+++ pathfinder-1.1.3/debian/changelog	2010-01-21 11:34:25.000000000 +0900
@@ -1,3 +1,32 @@
+pathfinder (1.1.3-0.1) unstable; urgency=low
+
+  * NMU with maintainer's ACK.
+  * New upstream release
+    - fix "FTBFS: iwvdbuslistener.h:13:24: error: wvcallback.h: No such file or
+      directory" to use the new WvDBus in WvStreams (Closes: #542975)
+    - Include stdint.h for GCC 4.4 compatibility.  (Closes: #505053)
+    - Remove the send-interface lines from the DBUS configuration. 
+      (Closes: #510696)
+  * debian/control: 
+    - Standards-Version: 3.8.3 
+    - libpathfinder-dev: add Depends: ${misc:Depends}
+    - Build-Depends: "libldap2-dev", deal with cmake complains about 
+      "LDAP Development packages"
+    - set "Build-Depends: libwvstreams-dev (>= 4.6.1)", to use package
+      that enabled --with-dbus option
+    - add Homepage: field
+  * debian/rules:
+    - properly remove CMake"F"iles in clean target and fix clean lines order.
+  * debian/pathfinderd.prerm:
+    - add "set -e"
+  * debian/copyright
+    - add my name and specify GPL version 2
+  * debian/watch: add it. 
+  * debian/pathfinderd.{default,dirs,init,postrm}
+    - merge from SVN r200:r203, remove unnecessary "--test" argument and more.
+
+ -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Thu, 21 Jan 2010 11:34:05 +0900
+
 pathfinder (0.2.4-4) unstable; urgency=low
 
   * Fix the diff, so that it doesn't include all of the CMake garbage.
diff -urN pathfinder-0.2.4/debian/control pathfinder-1.1.3/debian/control
--- pathfinder-0.2.4/debian/control	2010-01-21 07:36:04.000000000 +0900
+++ pathfinder-1.1.3/debian/control	2010-01-21 11:34:01.000000000 +0900
@@ -2,8 +2,9 @@
 Section: utils
 Priority: optional
 Maintainer: Patrick Patterson <ppatters@debian.org>
-Build-Depends: cmake, debhelper (>= 5), libdbus-1-dev, libnss3-dev, libwvstreams-dev (>=4.4.1), pkg-config, libboost-dev, libssl-dev
-Standards-Version: 3.7.3
+Build-Depends: cmake, debhelper (>= 5), libdbus-1-dev, libnss3-dev, libwvstreams-dev (>=4.6.1), pkg-config, libboost-dev, libssl-dev, libldap2-dev
+Standards-Version: 3.8.3
+Homepage: http://code.google.com/p/pathfinder-pki/
 
 Package: pathfinderd
 Architecture: any
@@ -67,6 +68,7 @@
 Package: libpathfinder-dev
 Architecture: any
 Section: libdevel
+Depends: ${misc:Depends}
 Provides: libpathfinder-1-dev
 Description: Development files for pathfinder
  Pathfinder is designed to provide a mechanism for any program to perform
diff -urN pathfinder-0.2.4/debian/copyright pathfinder-1.1.3/debian/copyright
--- pathfinder-0.2.4/debian/copyright	2010-01-21 07:36:04.000000000 +0900
+++ pathfinder-1.1.3/debian/copyright	2010-01-21 07:06:22.000000000 +0900
@@ -36,5 +36,6 @@
 
 
 The Debian packaging is (C) 2007, Patrick Patterson <ppatters@debian.org> and
-is licensed under the GPL, see `/usr/share/common-licenses/GPL'.
+(C) 2010 Hideki Yamane <henrich@debian.or.jp>, is licensed under the GPL 
+Version2, see `/usr/share/common-licenses/GPL-2'.
 
diff -urN pathfinder-0.2.4/debian/pathfinderd.default pathfinder-1.1.3/debian/pathfinderd.default
--- pathfinder-0.2.4/debian/pathfinderd.default	2010-01-21 07:36:04.000000000 +0900
+++ pathfinder-1.1.3/debian/pathfinderd.default	2010-01-21 07:06:22.000000000 +0900
@@ -1,5 +1,5 @@
 # Defaults for pathfinder initscript
-# sourced by /etc/init.d/pathfinder
+# sourced by /etc/init.d/pathfinderd
 # installed at /etc/default/pathfinder by the maintainer scripts
 
 #
diff -urN pathfinder-0.2.4/debian/pathfinderd.dirs pathfinder-1.1.3/debian/pathfinderd.dirs
--- pathfinder-0.2.4/debian/pathfinderd.dirs	1970-01-01 09:00:00.000000000 +0900
+++ pathfinder-1.1.3/debian/pathfinderd.dirs	2010-01-21 07:06:22.000000000 +0900
@@ -0,0 +1 @@
+var/cache/pathfinder/crls
diff -urN pathfinder-0.2.4/debian/pathfinderd.init pathfinder-1.1.3/debian/pathfinderd.init
--- pathfinder-0.2.4/debian/pathfinderd.init	2010-01-21 07:36:04.000000000 +0900
+++ pathfinder-1.1.3/debian/pathfinderd.init	2010-01-21 07:06:22.000000000 +0900
@@ -80,18 +80,18 @@
 	#	just the same as "restart" except that it does nothing if the
 	#   daemon isn't already running.
 	# check wether $DAEMON is running. If so, restart
-	start-stop-daemon --stop --test --quiet --pidfile \
+	start-stop-daemon --stop --quiet --pidfile \
 		/var/run/$NAME.pid --exec $DAEMON \
 	&& $0 restart \
 	|| exit 0
 	;;
   restart)
         log_begin_msg "Restarting $DESC: "
-	start-stop-daemon --stop --test--quiet --pidfile \
-		/var/run/$NAME.pid --exec $DAEMON
+	start-stop-daemon --stop --quiet --pidfile $PIDFILE\
+		--exec $DAEMON
 	[ -n "$DODTIME" ] && sleep $DODTIME
-	start-stop-daemon --start --quiet --pidfile \
-		/var/run/$NAME.pid --exec $DAEMON -- $DAEMON_OPTS
+	start-stop-daemon --start --quiet --pidfile $PIDFILE\
+		--exec $DAEMON -- $DAEMON_OPTS
 	log_end_msg $?
 	;;
   status)
diff -urN pathfinder-0.2.4/debian/pathfinderd.postrm pathfinder-1.1.3/debian/pathfinderd.postrm
--- pathfinder-0.2.4/debian/pathfinderd.postrm	2010-01-21 07:36:04.000000000 +0900
+++ pathfinder-1.1.3/debian/pathfinderd.postrm	2010-01-21 07:06:22.000000000 +0900
@@ -32,9 +32,7 @@
     			/etc/init.d/pathfinderd stop
     		fi
     
-    		rm -f /etc/init.d/pathfinderd  
-    		update-rc.d pathfinderd remove
-    		rm -f /etc/pathfinderd.conf /etc/dbus-1/system/pathfinderd.conf
+    		update-rc.d -f pathfinderd remove
     	fi
     ;;
 
diff -urN pathfinder-0.2.4/debian/pathfinderd.prerm pathfinder-1.1.3/debian/pathfinderd.prerm
--- pathfinder-0.2.4/debian/pathfinderd.prerm	2010-01-21 07:36:04.000000000 +0900
+++ pathfinder-1.1.3/debian/pathfinderd.prerm	2010-01-21 07:06:22.000000000 +0900
@@ -1,5 +1,7 @@
 #!/bin/sh
 
+set -e
+
 if [ -x "/etc/init.d/pathfinderd" ]; then
 	if [ -x "`which invoke-rc.d 2>/dev/null`" ]; then
 		invoke-rc.d pathfinderd stop || exit $?
diff -urN pathfinder-0.2.4/debian/rules pathfinder-1.1.3/debian/rules
--- pathfinder-0.2.4/debian/rules	2010-01-21 07:36:04.000000000 +0900
+++ pathfinder-1.1.3/debian/rules	2010-01-21 11:38:20.000000000 +0900
@@ -1,15 +1,4 @@
 #!/usr/bin/make -f
-# -*- makefile -*-
-# Sample debian/rules that uses debhelper.
-#
-# This file was originally written by Joey Hess and Craig Small.
-# As a special exception, when this file is copied by dh-make into a
-# dh-make output file, you may use that output file without restriction.
-# This special exception was added by Craig Small in version 0.37 of dh-make.
-#
-# Modified to make a template file for a multi-binary package with separated
-# build-arch and build-indep targets  by Bill Allombert 2001
-
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
@@ -43,11 +32,11 @@
 clean:
 	dh_testdir
 	dh_testroot
-	rm -rf build-arch-stamp build-indep-stamp configure-stamp CMakefiles
-	rm -rf *.cmake DartTestfile.txt CMakeCache.txt
 	# Add here commands to clean up after the build process.
 	[ ! -f Makefile ] || $(MAKE) clean
-
+	rm -rf build-arch-stamp build-indep-stamp configure-stamp CMakeFiles
+	rm -rf *.cmake DartTestfile.txt CMakeCache.txt
+	-rm Makefile
 	dh_clean 
 
 install: install-indep install-arch
@@ -56,11 +45,6 @@
 	dh_testroot
 	dh_clean -k -i 
 	dh_installdirs -i
-
-	# Add here commands to install the indep part of the package into
-	# debian/<package>-doc.
-	#INSTALLDOC#
-
 	dh_install -i
 
 install-arch:
@@ -87,9 +71,7 @@
 	dh_installchangelogs 
 	dh_installdocs
 	dh_installexamples
-#	dh_installmenu
 #	dh_installdebconf	
-#	dh_python
 	dh_installinit -n -a
 	dh_installman
 	dh_link
diff -urN pathfinder-0.2.4/debian/watch pathfinder-1.1.3/debian/watch
--- pathfinder-0.2.4/debian/watch	1970-01-01 09:00:00.000000000 +0900
+++ pathfinder-1.1.3/debian/watch	2010-01-21 07:06:22.000000000 +0900
@@ -0,0 +1,6 @@
+# Compulsory line, this is a version 3 file
+version=3
+
+http://code.google.com/p/pathfinder-pki/downloads/list \
+ http://pathfinder-pki.googlecode.com/files/pathfinder-(.*)-Source.tar.gz
+
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) sid and squeeze. Request was from Gerfried Fuchs <rhonda@deb.at> to control@bugs.debian.org. (Sat, 23 Jan 2010 15:55:57 GMT) Full text and rfc822 format available.

Reply sent to Hideki Yamane (Debian-JP) <henrich@debian.or.jp>:
You have taken responsibility. (Tue, 06 Apr 2010 22:48:37 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Tue, 06 Apr 2010 22:48:37 GMT) Full text and rfc822 format available.

Message #52 received at 542975-close@bugs.debian.org (full text, mbox):

From: Hideki Yamane (Debian-JP) <henrich@debian.or.jp>
To: 542975-close@bugs.debian.org
Subject: Bug#542975: fixed in pathfinder 1.1.3-0.1
Date: Tue, 06 Apr 2010 22:45:42 +0000
Source: pathfinder
Source-Version: 1.1.3-0.1

We believe that the bug you reported is fixed in the latest version of
pathfinder, which is due to be installed in the Debian FTP archive:

libpathfinder-dev_1.1.3-0.1_amd64.deb
  to main/p/pathfinder/libpathfinder-dev_1.1.3-0.1_amd64.deb
libpathfinder-nss-1_1.1.3-0.1_amd64.deb
  to main/p/pathfinder/libpathfinder-nss-1_1.1.3-0.1_amd64.deb
libpathfinder-openssl-1_1.1.3-0.1_amd64.deb
  to main/p/pathfinder/libpathfinder-openssl-1_1.1.3-0.1_amd64.deb
pathfinder-utils_1.1.3-0.1_amd64.deb
  to main/p/pathfinder/pathfinder-utils_1.1.3-0.1_amd64.deb
pathfinder_1.1.3-0.1.debian.tar.gz
  to main/p/pathfinder/pathfinder_1.1.3-0.1.debian.tar.gz
pathfinder_1.1.3-0.1.dsc
  to main/p/pathfinder/pathfinder_1.1.3-0.1.dsc
pathfinder_1.1.3.orig.tar.gz
  to main/p/pathfinder/pathfinder_1.1.3.orig.tar.gz
pathfinderd_1.1.3-0.1_amd64.deb
  to main/p/pathfinder/pathfinderd_1.1.3-0.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 542975@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Hideki Yamane (Debian-JP) <henrich@debian.or.jp> (supplier of updated pathfinder package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 03 Apr 2010 23:35:01 +0900
Source: pathfinder
Binary: pathfinderd pathfinder-utils libpathfinder-openssl-1 libpathfinder-nss-1 libpathfinder-dev
Architecture: source amd64
Version: 1.1.3-0.1
Distribution: sid
Urgency: low
Maintainer: Patrick Patterson <ppatters@debian.org>
Changed-By: Hideki Yamane (Debian-JP) <henrich@debian.or.jp>
Description: 
 libpathfinder-dev - Development files for pathfinder
 libpathfinder-nss-1 - Pathfinder integration Library for LibNSS
 libpathfinder-openssl-1 - Pathfinder integration Library for OpenSSL
 pathfinder-utils - Utilities to use with the Pathfinder Daemon
 pathfinderd - Daemon for X.509 Path Discovery and Validation
Closes: 505053 510696 542975
Changes: 
 pathfinder (1.1.3-0.1) unstable; urgency=low
 .
   * NMU with maintainer's ACK.
   * New upstream release
     - fix "FTBFS: iwvdbuslistener.h:13:24: error: wvcallback.h: No such file or
       directory" to use the new WvDBus in WvStreams (Closes: #542975)
     - Include stdint.h for GCC 4.4 compatibility.  (Closes: #505053)
     - Remove the send-interface lines from the DBUS configuration.
       (Closes: #510696)
   * switch to dpkg-source format3.0 (quilt)
   * debian/rules
     - cleanup, use debhelper7 (Thanks to Enrico Zini)
   * debian/control:
     - set "Build-Depends: debhelpher (>= 7.0.50~)"
     - Standards-Version: 3.8.4
     - add Homepage: field
     - libpathfinder-dev: add Depends: ${misc:Depends}
     - Build-Depends: "libldap2-dev", deal with cmake complains about
       "LDAP Development packages"
     - set "Build-Depends: libwvstreams-dev (>= 4.6.1)", to use package enabled
       with --with-dbus option
     - pathfinderd: add "Depends: dbus" to avoid "insserv: Service dbus has to
       be enabled to start service pathfinderd"
   * debian/copyright
     - add my name and specify GPL version 2
   * debian/watch: add it.
   * debian/pathfinderd.{default,dirs,init,postrm}
     - merge from SVN r200:r203, remove unnecessary "--test" argument and more.
Checksums-Sha1: 
 c36134682609bb9ec26c54d4cb17d95cf7c0f0da 1903 pathfinder_1.1.3-0.1.dsc
 827ed82ec1fcee1bdb5944778556945c7bbea5ac 281361 pathfinder_1.1.3.orig.tar.gz
 4dc55f35243acb80fe4bf896fb47dae3991cb13b 6135 pathfinder_1.1.3-0.1.debian.tar.gz
 bf88a57ccc737e15d4633450a4e0a38f6d0f7c1f 115214 pathfinderd_1.1.3-0.1_amd64.deb
 5cf8503480253f8c10792d186f1f05674878e3d1 113422 pathfinder-utils_1.1.3-0.1_amd64.deb
 ddbaa393c508339ff729b3cfaf57b10a027436d4 3612 libpathfinder-openssl-1_1.1.3-0.1_amd64.deb
 ae17b6f4f899054453952ea0de377e8b6a621f41 3600 libpathfinder-nss-1_1.1.3-0.1_amd64.deb
 c5300d205b4d5ef4408da24d2eeccb73e426e5e5 4458 libpathfinder-dev_1.1.3-0.1_amd64.deb
Checksums-Sha256: 
 4b192a04c58e81d77b66f854c53d0cac24578fbd740fea0f1a067060b53e3fb2 1903 pathfinder_1.1.3-0.1.dsc
 a81b09a306aa997980d76f2b6e9215e7b3a91ed4c5fb413b3c4d30513a5e1031 281361 pathfinder_1.1.3.orig.tar.gz
 0c91dd33e01ff16eea4c932c74cd4fed11818a035595739082347cf57d04457b 6135 pathfinder_1.1.3-0.1.debian.tar.gz
 96fa61b2f28b6604e0205d549178e7ee19c8ab7153cd67a155206454642f62f3 115214 pathfinderd_1.1.3-0.1_amd64.deb
 d65cc08194f0c04910976e3f07cb450951eae37823ecb5c8d55215ed3055d318 113422 pathfinder-utils_1.1.3-0.1_amd64.deb
 f35fb496862979ffde4063018ffe440c62d5508b8787585c9a78c241a46ab2cf 3612 libpathfinder-openssl-1_1.1.3-0.1_amd64.deb
 fcd2b67774e38fb3263463c275aed4ae9aca6d70bae1b0c02e5bd11098a62772 3600 libpathfinder-nss-1_1.1.3-0.1_amd64.deb
 416876159f9f5adebc6885512426593fa56ddaa7f8526a4c0baf1bcac7e8756b 4458 libpathfinder-dev_1.1.3-0.1_amd64.deb
Files: 
 0aba3e2a5901ecf1dbdf9421fd39d6f7 1903 utils optional pathfinder_1.1.3-0.1.dsc
 6985ea14da6dff30c3c4e5cfc8b3d0f7 281361 utils optional pathfinder_1.1.3.orig.tar.gz
 9da1c01765a592e02f15d178019e0f08 6135 utils optional pathfinder_1.1.3-0.1.debian.tar.gz
 2858a8fb8dc318086e65f836de732485 115214 utils optional pathfinderd_1.1.3-0.1_amd64.deb
 96f4600160a6f02a39982eeb8041ed20 113422 utils optional pathfinder-utils_1.1.3-0.1_amd64.deb
 11afb28c7cf71b58f1c687cd2f9c52bd 3612 libs optional libpathfinder-openssl-1_1.1.3-0.1_amd64.deb
 340994f312cc24b680b2f1984e3fc00b 3600 libs optional libpathfinder-nss-1_1.1.3-0.1_amd64.deb
 263956fee25ecce1e4d4c863c88a2d8a 4458 libdevel optional libpathfinder-dev_1.1.3-0.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJLu7QiAAoJEB5qw/OH8O2spG0QANbhZ8xyi/+KIszCMq9PZ3A8
FRJg1JJJBD1GSGMzMJQkYJtUwSPKRjVicRRntvwzXLy2iy8VNFj8JzN3pE4a9EIN
wi9G769hVuQPW+VAv0mArFZjzZxxn6aBcWl9sMsTfPAglKgvxqKJukbGT6HpBoLd
KYi6YPDnEbDXMsABHfgYd1vq2VC8et4LBIrcbQq9MofXciCSoGVBJUqnJvRyMhB6
7gj5sP9a/Na7y8OBOPlObbDb8YtsV+krMdwaPZHkcjsxEasmJRGruI5Kdeo8IKYi
sqHzukQ/kRoDO2mkbLcyjlaFznS5Ht8kZG5iwGkrQJhUQBHWmz8CvIuQ6M1nsGNT
awoq1/5ye7uEDQDUSViMb+T5FIM0jeXRkF3XFkSddHi67pcYIyFv5Bqa36+FB+6x
S2TpWf1S5vqHiA2xHE3JDiEWKQP4Ovjb8EYYDZby0O6EorUYs8xRX4rj3Ca/Rk8X
3jhGcDevZAVsYZ9MqygVJsgjc9urboU9KPi5eAQsF8m5Uco0aq/JHwprl9MtfY13
VXX77x7FXyxQ4UtQX3wqCgC/Nrtm8Gtet3Ie/QnfdSGIl/tTq8WH2iy1qn4VLMIV
oC4sJJ9Za6Xz14d+fAYdj8irdXorlBkX45wnixpuRvt3LxB7BDXILL407Jof3ZdK
yfZgGQPQbgBRjBeQv0KH
=9KNy
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Mar 2011 09:51:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:14:00 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.